# Get Rate

## /rates/:id

<mark style="color:blue;">`GET`</mark> `https://api.terminal.africa/v1/rates/:rate_id`

This endpoint allows you to retrieve details of a specific shipping rate.

#### Path Parameters

| Name                                       | Type   | Description                     |
| ------------------------------------------ | ------ | ------------------------------- |
| rate\_id<mark style="color:red;">\*</mark> | string | Unique ***rate\_id*** for rate. |

#### Query Parameters

| Name     | Type   | Description                                                                                                                                                                                                               |
| -------- | ------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| currency | String | urrency for rates. Defaults to ***NGN***. Available options are ***AED***, ***AUD***, ***CAD***, ***CNY***, ***EUR***, ***GBP***, ***GHS***, ***HKD***, ***KES***, ***NGN***, ***TZS***, ***UGX***, ***USD***, ***ZAR***. |

#### Headers

| Name          | Type   | Description                      |
| ------------- | ------ | -------------------------------- |
| Authorization | string | Set value to `Bearer SECRET_KEY` |

{% tabs %}
{% tab title="200 Rate retrieved successfully." %}

```
{
	status: true,
	message: 'Rate retrieved successfully',
	data:  {
                    "amount": 5048.08,
                    "breakdown": [],
                    "carrier_logo": "https://ucarecdn.com/dcdd8109-af8c-4057-8104-192be821dd6e/download4.png",
                    "carrier_name": "DHL Express + (Parcel Insurance)",
                    "carrier_rate_description": "EXPRESS DOMESTIC",
                    "carrier_reference": "CA-81957188177",
                    "carrier_slug": "dhl-ng",
                    "currency": "NGN",
                    "delivery_address": "AD-80439326931",
                    "delivery_date": "2022-06-15T22:59:00.000Z",
                    "delivery_eta": 4237,
                    "delivery_time": "Within 3 days",
                    "insurance_coverage": 0,
                    "insurance_fee": 3500,
                    "includes_insurance": true,
                    "metadata": {
                        "localProductCode": "N",
                        "productCode": "N"
                    },
                    "parcel": "PC-09284697565",
                    "pickup_address": "AD-77298486083",
                    "pickup_eta": 1440,
                    "pickup_time": "Within 24 hours",
                    "rate_id": "RT-98930123958",
                    "used": true,
                    "user": "USER-12568655307",
                    "created_at": "2022-06-13T00:22:37.782Z",
                    "updated_at": "2022-06-13T00:25:03.834Z"
         }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.terminal.africa/tship/rate/get-rate.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
